h_a=[1 2 3 3 4 5 6 7 4 5 6 5 4 9 8 3;1 5 9 1 7 2 3 6 3 5 1 4 9 5 2 3]
h_b=[1 5 9 1 7 2 3 6 3 5 1 4 9 5 2 3;1 2 3 3 4 5 6 7 4 5 6 5 4 9 8 3]

d_a=gpuSetData(h_a);
d_b=gpuSetData(h_b);
d_c=gpuAlloc(1,2); // gpuAlloc(1,number of vectors)
d_d=gpuAlloc(1,16*2); // (1,element_N*vector_N)

abs_path=get_absolute_file_path("scalarProd.sce");

bin=gpuBuild(abs_path + "scalarProd_kernel");
fonc=gpuLoadFunction(bin,"scalarProdGPU",1,16,1,2);
								// block_width = number of elements
								// block_height = 1
								// grid_width = number of vectors
								// grid_height = 1

fonc(d_c,d_d,d_a,d_b,int32(2),int32(16)); 		// fonc(d_c,d_a,d_b,number of vectors,number of elements of each vectors);
h_c=gpuGetData(d_c)

clear d_c;
clear d_b;
clear d_a;

